<ion-view title="Información de conferencista" ng-controller="speakerEditCtrl as ctrl">
  <div class="container" style="padding-top: 50px; padding-bottom: 50px">
    <div class="row">
      <div class="col-sm-12">
        <h1>Conferencista:</h1>
        <h2>{{ctrl.speaker.general.name}}</h2>
        <hr>
      </div>
    </div>

    <div class="row">
      <div class="col-sm-12">
        <h4>Edit General Info:</h4>

        <form class="form-horizontal">

          <div class="form-group">
            <label for="SpeakerName" class="col-sm-2 control-label">Name:</label>
            <div class="col-sm-10">
              <input type="text" class="form-control" id="SpeakerName"
                     ng-model="ctrl.speaker.general.name"
                     placeholder="Jhon">
            </div>
          </div>

          <div class="form-group">
            <label for="SpeakerLastname" class="col-sm-2 control-label">Last name:</label>
            <div class="col-sm-10">
              <input type="text" class="form-control" id="SpeakerLastname"
                     ng-model="ctrl.speaker.general.lastname"
                     placeholder="Doe">
            </div>
          </div>

          <div class="form-group">
            <label for="SpeakerTwitter" class="col-sm-2 control-label">Twitter:</label>
            <div class="col-sm-10">
              <input type="text" class="form-control" id="SpeakerTwitter"
                     ng-model="ctrl.speaker.general.twitter"
                     placeholder="Doe">
            </div>
          </div>

          <div class="form-group">
            <label for="Speakerlinkedin" class="col-sm-2 control-label">LinkedIn:</label>
            <div class="col-sm-10">
              <input type="text" class="form-control" id="Speakerlinkedin"
                     ng-model="ctrl.speaker.general.linkedin"
                     placeholder="Doe">
            </div>
          </div>
          
          <div class="form-group">
            <label for="SpeakerLastname" class="col-sm-2 control-label">Link:</label>
            <div class="col-sm-10">
              <input type="text" class="form-control" id="SpeakerLastname"
                     ng-model="ctrl.speaker.general.link">
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Description:</label>
            <div class="col-sm-10">
              <text-angular ng-model="ctrl.speaker.general.description"></text-angular>
            </div>
          </div>

          <!-- upload image -->
          <div class="form-group">
            <label class="col-sm-2 control-label">Profile image:</label>
            <div class="col-sm-6">
              <p>Dimensions: 250px X 250px</p>
              <img ng-src="{{ctrl.speaker.general.photo}}" class="img-thumbnail" ng-if="ctrl.speaker.general.photo">

              <button type="button" class="btn btn-success"
                      ngf-select ngf-change="ctrl.image($files)" ngf-multiple="false">
                Upload Image
              </button>
              <button type="button" class="btn btn-danger"
                      ng-if="ctrl.speaker.general.photo"
                      ng-click="ctrl.deleteImg()">
                Delete Image
              </button>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Documents:</label>
            <div class="col-sm-10">
              <div class="navbar navbar-default" ng-repeat="doc in ctrl.documents">
                <p class="navbar-text">{{doc.name}}</p>

                <div class="nav navbar-nav navbar-right" style="margin-right: 15px !important;">
                  <a class="btn btn-primary navbar-btn" ng-href="{{doc.url}}" target="_blank">View PDF</a>
                  <button class="btn btn-success navbar-btn" ng-click="ctrl.docEdit(doc)">Edit</button>
                  <button class="btn btn-danger navbar-btn" ng-click="ctrl.docDelete(doc)">Remove</button>
                </div>
              </div>

              <button type="button" class="btn button-positive" ngf-select ngf-change="ctrl.uploadfiles($files)" ngf-multiple="true">
                Add documents
              </button>
            </div>
          </div>

        </form>

      </div><!-- /.col -->
    </div><!-- /.row -->

    <div class="row">
      <div class="col-sm-12">
        <hr>
        <button type="button" class="btn btn-success" ng-click="ctrl.saveSpeaker()">
          Update
        </button>

        <button type="button" class="btn btn-danger" ng-click="ctrl.saveSpeaker()">
          Delete - this option wil remove the speaker permanently
        </button>
      </div>
    </div>

  </div><!-- /.container -->
</ion-view>
